# TdApi.GroupCallVideoSourceGroup (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GroupCallVideoSourceGroup

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GroupCallVideoSourceGroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.GroupCallVideoSourceGroup

Enclosing class:
  TdApi

public static final class TdApi.GroupCallVideoSourceGroup extends TdApi.Object
Describes a group of video synchronization source identifiers.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`semantics`
The semantics of sources, one of "SIM" or "FID".
`int[]`
`sourceIds`
The list of synchronization source identifiers.

## Constructor Summary

Constructors
Constructor
Description
`GroupCallVideoSourceGroup()`
Describes a group of video synchronization source identifiers.
`GroupCallVideoSourceGroup(DataInput input)`
Describes a group of video synchronization source identifiers.
`GroupCallVideoSourceGroup(String semantics, int[] sourceIds)`
Describes a group of video synchronization source identifiers.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### semantics

public String semantics
The semantics of sources, one of "SIM" or "FID".

### sourceIds

public int[] sourceIds
The list of synchronization source identifiers.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GroupCallVideoSourceGroup

public GroupCallVideoSourceGroup()
Describes a group of video synchronization source identifiers.

### GroupCallVideoSourceGroup

public GroupCallVideoSourceGroup(String semantics, int[] sourceIds)
Describes a group of video synchronization source identifiers.

Parameters:
  `semantics` - String The semantics of sources, one of "SIM" or "FID".
  `sourceIds` - int[] The list of synchronization source identifiers.

### GroupCallVideoSourceGroup

public GroupCallVideoSourceGroup(DataInput input) throws IOException
Describes a group of video synchronization source identifiers.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`